This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 239765 - Allow mimimum schema in ds_newinst.pl
Allow mimimum schema in ds_newinst.pl
Status: CLOSED CURRENTRELEASE
Product: 389
Classification: Community
Component: Install/Uninstall (Show other bugs)
1.1.0beta
All Linux
low Severity medium
: ---
: ---
Assigned To: Nathan Kinder
Viktor Ashirov
: VerifiedUpstream
Depends On:
Blocks: FDS1.1.0
  Show dependency treegraph
 
Reported: 2007-05-11 03:01 EDT by Andrew Bartlett
Modified: 2015-12-07 11:51 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 11:51:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to add an option for installing partial/full schema (4.69 KB, patch)
2007-05-21 00:13 EDT, Andrew Bartlett
no flags Details | Diff
Revised patch for install_full_schema (6.28 KB, patch)
2007-05-27 19:54 EDT, Andrew Bartlett
no flags Details | Diff
cvs commit log (526 bytes, text/plain)
2007-06-07 17:26 EDT, Rich Megginson
no flags Details

  None (edit)
Description Andrew Bartlett 2007-05-11 03:01:39 EDT
Description of problem:
The inf file supplied to setup/ds_newist.pl should allow the user to load only
the minimum schema (00core.ldif)

Version-Release number of selected component (if applicable):
1.1 CVS

How reproducible:
Every time

Steps to Reproduce:
1. provision a DS instance with ds_newinst
2. note that a very large amount of schema is loaded
3. 
  
Actual results:
Lots of schema loaded, conflicting with AD-like schema

Expected results:
Ability to say 'just the bare minimum'

Additional info:
This would simplify Samba4 setup against Fedora DS.
Comment 1 Andrew Bartlett 2007-05-21 00:13:43 EDT
Created attachment 155069 [details]
Patch to add an option for installing partial/full schema

This patch implements a new configuration option
[slapd]
install_full_schema= 1

Setting this to 0 will only install 00core.ldif
Comment 2 Andrew Bartlett 2007-05-27 19:54:18 EDT
Created attachment 155526 [details]
Revised patch for install_full_schema

This patch has been more extensivly tested, and in particular fixes an issue
with any variable = 0 (it would not be sent to the ds_newinst-bin 'server').
Comment 3 Noriko Hosoi 2007-05-29 12:57:00 EDT
Thank you for adding the logic.  Your new diff looks good to me.
Comment 4 Rich Megginson 2007-06-07 17:26:00 EDT
Created attachment 156515 [details]
cvs commit log

Fix Description: Fixed by abartlet.  Add a new configuration param to
create_instance - install_full_schema.	By default this is 1, meaning the
traditional behavior of installing all of the schema.  If set to 0, this will
only install the 00core.ldif schema file.  This also required enhancements to
ds_newinst.pl as well as a bug fix to allow passing in a 0 value.
Reviewed by: nhosoi, rmeggins

Note You need to log in before you can comment on or make changes to this bug.